<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>RxJS ThrottleTime</title>
  </head>

  <body>
    <input type="text" id="unos" />
    <br />
    <span id="rezultat"></span>

    <script src="rxjs.umd.js"></script>
    <script src="getSubscriber.js"></script>
    <script>
      const keydown$ = rxjs.fromEvent(
        document.getElementById('unos'),
        'keydown'
      );

      keydown$
        .pipe(rxjs.operators.throttleTime(1000))
        .subscribe(function(event) {
          document.getElementById('rezultat').textContent = event.target.value;
        });
    </script>
  </body>
</html>
